import { select,json,tree,hierarchy,linkHorizontal } from 'd3';

const svg = select('svg');

const width = document.body.clientWidth;
const height = document.body.clientHeight;
const t=tree()
	.size([height,width]);
svg
    .attr('width', width)
    .attr('height', height)
  
json('data.json')
	.then(data=>{
  	const root=hierarchy(data);
  	const links=t(root).links();
  	const linkPathGenerator=linkHorizontal()
    	.x(d => d.y)
      .y(d => d.x);
  
	svg.selectAll('path').data(links)
  	.enter().append('path')
        .attr('d', linkPathGenerator);
});  
/*const link = g.append("g")
    .attr("fill", "none")
    .attr("stroke", "#555")
    .attr("stroke-opacity", 0.4)
    .attr("stroke-width", 1.5)
  .selectAll("path")
    .data(root.links())
    .join("path")
      .attr("d", d3.linkHorizontal()
          .x(d => d.y)
          .y(d => d.x));  
});*/